<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">
<!-- 
    File         : docinfo.xsl
    
    Author       : Leonard Rosenthol
    						  Based on code from Lawrence E. Freil

    Date Created : may 7, 2004

    Description  : This file is an XSL stylesheet used as a demonstration
                   for pdfgetAttrs.  It will output a short HTML
		   				  report of all the images used in the file.
    Copywrite(C) - 2004 Apago Inc.
-->

<!-- Text gobbler! -->
<xsl:template match='text()'>
</xsl:template>

<xsl:template match='/'>
  <!-- If the user specified default styles in the view file, then
       we will use those styles and hope he set them up nicely.
       Otherwise we will default to our own style here.
  -->
  <HTML>
  <HEAD>
  <META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  </META>
  <TITLE><xsl:value-of select="pdfattrs/@path"/></TITLE>
  <!-- Output the needed javascript -->
  <SCRIPT LANGUAGE="JavaScript">
<![CDATA[
<!--
var bV=parseInt(navigator.appVersion);
NS4=(document.layers) ? true : false;
IE4=((document.all)&&(bV>=4))?true:false;

ver4 = (NS4 || IE4) ? 1 : 0;
function donothing() { return }

// Create the image pre-load array, then let the body pre-load images.
ButtonArray = new Array();
fixButtonArray = new Array();

function preload(imName) {
  ButtonArray[imName + "Up"] = new Image();
  ButtonArray[imName + "Up"].src = imName + "Up.gif";
  ButtonArray[imName + "Over"] = new Image();
  ButtonArray[imName + "Over"].src = imName + "Over.gif";
  ButtonArray[imName + "Down"] = new Image();
  ButtonArray[imName + "Down"].src = imName + "Down.gif";
}

function rollOver(imName,over,imBase) {
  if (over) { document.images[imName].src = ButtonArray[imBase + "Over"].src }
    else { document.images[imName].src = ButtonArray[imBase + "Up"].src }
}

function rollPress(imName,down,imBase) {
  if (down) { document.images[imName].src = ButtonArray[imBase + "Down"].src }
    else { document.images[imName].src = ButtonArray[imBase + "Over"].src }
}

function loadbtns() {
  preload("BTNdelete");
  preload("BTNdownload");
  preload("BTNconvert");
  preload("BTNproof");
  //alert("All buttons used are now pre-loaded");
}
// -->
]]>
  </SCRIPT>
  </HEAD>
  <BODY TEXT="#000000" BGCOLOR="#ffffcc" OnLoad="loadbtns()"> 
  <P ALIGN="CENTER"><IMG SRC="http://www.apago.com/images/3nav2.jpg" alt="3nav2.jpg (15249 bytes)" WIDTH="563" HEIGHT="69"/></P>
  <CENTER>
  <H1>DocInfo Report</H1>
  <H3>for</H3>
  <H2><xsl:value-of select="pdfattrs/@path"/></H2>
  </CENTER>

  <STYLE TYPE="text/css">
        DIV.title { background-color:teal; color:white; 
                     font-family:Verdana,arial; font-size:14pt; 
                     padding:2px;
                  }
        DIV.asset { background-color:black; color:white; 
                    font-family:Verdana,arial; font-size:14pt; 
                    padding:2px;
                  }
        A.titlelink { color:aqua; }
        DIV.body { background-color:#ffffcc; color:Black; 
                   padding:2px;
                   font-size:11pt;
                 }
        <!-- The following turns off underlines over links -->
        A { text-decoration: none; }
        A:hover { color:red }
  </STYLE>
  <xsl:apply-templates />
  </BODY>
  </HTML>
</xsl:template>

<xsl:template match="pdfattrs">
	<tr><h3>Document Info</h3></tr>
	<table border="0" cols="1" width="600" >
		<tr><td><b>PDF Version: </b></td><td><xsl:value-of select="./@version"/></td></tr>
		<xsl:if test="./info/GTS_PDFXVersion">
			<tr><td style="font-weight:bold;color='green'">PDF/X Version: </td><td style="color='green'"><xsl:value-of select="./info/GTS_PDFXVersion"/></td></tr>
			<tr><td style="font-weight:bold;color='green'">PDF/X OutputIntent: </td><td style="color='green'"><xsl:value-of select="./OutputIntents/v0/@OutputConditionIdentifier"/></td></tr>
			<tr><td style="font-weight:bold;color='green'">Trapped: </td><td style="color='green'"><xsl:value-of select="./info/Trapped"/></td></tr>
		</xsl:if>
		<tr><td><b>Page Count: </b></td><td><xsl:value-of select="count(./page)"/></td></tr>
		<tr><td width="200"><b>Fast Web View Enabled: </b></td><td><xsl:value-of select="./@linearized"/></td></tr>
		<tr><td><b>Encrypted: </b></td><td><xsl:value-of select="./@encrypted"/></td></tr>
		<tr><td><b>Tagged: </b></td><td><xsl:value-of select="./@tagged"/></td></tr>
		<tr><td><b>XMP metadata: </b></td><td><xsl:value-of select="./metadata!=''"/></td></tr>
		<tr>
			<td><b>Filesize: </b></td>
			<xsl:variable name="fsize" select="./@filesize"/>
			<xsl:choose>
				<xsl:when test="1024 > $fsize">
					<td><xsl:value-of select="$fsize"/> bytes</td>
				</xsl:when>
				<xsl:when test="$fsize > 1048576"> <!-- 1 meg -->
					<td><xsl:value-of select="round($fsize div 1048576)"/> MB</td>
				</xsl:when>
				<xsl:otherwise>
					<td><xsl:value-of select="round($fsize div 1024)"/> KB</td>
				</xsl:otherwise>
			</xsl:choose>
		</tr>
		<tr></tr>
	  <xsl:apply-templates select="info" />
	</table>
	<p/>
	<xsl:if test="@encrypted='true'">
		<xsl:apply-templates select="permissions" />
	</xsl:if>
	<p/>
	<xsl:apply-templates select="colors" />
	<xsl:apply-templates select="names/EmbeddedFiles" />
	<xsl:apply-templates select="page" />
</xsl:template>

<xsl:template match="permissions">
	<h3>Permissions</h3>
	<table width="300">
		<tbody>
			<xsl:for-each select="*">
				<tr>
					<td><b><xsl:value-of select="name()"/></b></td>
					<td><xsl:value-of select="text()"/></td>
				</tr>
			</xsl:for-each>
		</tbody>
	</table>
</xsl:template>

<xsl:template match="info">
	<!-- would be better to find a way to display whatever is here, 
			but in the meantime, we'll display the standards - if present
			
	<xsl:variable name="creator" select="./Creator"/>
	<xsl:if test="$creator!=''">		
		<tr><td><b>Creator: </b></td><td><xsl:value-of select="$creator"/></td></tr>
	</xsl:if>
	<xsl:variable name="prod" select="./Producer"/>
	<xsl:if test="$prod!=''">		
		<tr><td><b>Producer: </b></td><td><xsl:value-of select="$prod"/></td></tr>
	</xsl:if>
	<xsl:variable name="author" select="./Author"/>
	<xsl:if test="$author!=''">		
		<tr><td><b>Author: </b></td><td><xsl:value-of select="$author"/></td></tr>
	</xsl:if>
	<xsl:variable name="title" select="./Title"/>
	<xsl:if test="$title!=''">		
		<tr><td><b>Title: </b></td><td><xsl:value-of select="$title"/></td></tr>
	</xsl:if>
	<xsl:variable name="subj" select="./Subject"/>
	<xsl:if test="$subj!=''">
		<tr><td><b>Subject: </b></td><td><xsl:value-of select="$subj"/></td></tr>
	</xsl:if>
	<xsl:variable name="key" select="./Keywords"/>
	<xsl:if test="$key!=''">		
		<tr><td><b>Keywords: </b></td><td><xsl:value-of select="$key"/></td></tr>
	</xsl:if>
	<xsl:variable name="cDate" select="./CreationDate"/>
	<xsl:if test="$cDate!=''">		
		<tr><td><b>Creation Date: </b></td><td><xsl:value-of select="$cDate"/></td></tr>
	</xsl:if>
	<xsl:variable name="mDate" select="./ModDate"/>
	<xsl:if test="$mDate!=''">		
		<tr><td><b>Modification Date: </b></td><td><xsl:value-of select="$mDate"/></td></tr>
	</xsl:if>
-->
	<xsl:for-each select="*">
		<xsl:choose>
			<xsl:when test="name()='GTS_PDFXVersion'">
			</xsl:when>
			<xsl:when test="name()='Trapped'">
			</xsl:when>
			<xsl:otherwise>
				<tr>
					<td><b><xsl:value-of select="name()"/></b></td>
					<td><xsl:value-of select="text()"/></td>
				</tr>
			</xsl:otherwise>
		</xsl:choose>	
	</xsl:for-each>
</xsl:template>

<xsl:template match="page">
	<h3>Page #<xsl:value-of select="@id"/></h3>
	<table cols="5" width="600">
		<tbody>
			<tr>
				<td></td>
				<td><b>x</b></td>
				<td><b>y</b></td>
				<td><b>width</b></td>
				<td><b>height</b></td>
			</tr>
			<xsl:apply-templates select="boxes"/>
		</tbody>
	</table>
	<p/>
	<table cols="2" width="300">
		<tbody>
			<tr>
				<td><b>Object Type</b></td>
				<td><b>Count</b></td>
			</tr>
			<xsl:if test="count(./images/image) > 0">
				<tr>
					<td><b>Images</b></td>
					<td><xsl:value-of select="count(./images/image)"/></td>
				</tr>
			</xsl:if>
			<xsl:if test="./vectors/@paths > 0">
				<tr>
					<td><b>Paths</b></td>
					<td><xsl:value-of select="./vectors/@paths"/></td>
				</tr>
			</xsl:if>
			<xsl:if test="./text/@characters > 0">
				<tr>
					<td><b>Text Characters</b></td>
					<td><xsl:value-of select="./text/@characters"/></td>
				</tr>
			</xsl:if>
			<xsl:if test="./patterns/@tiled > 0">
				<tr>
					<td><b>Tiled Patterns</b></td>
					<td><xsl:value-of select="./patterns/@tiled"/></td>
				</tr>
			</xsl:if>
			<xsl:if test="./patterns/@shading > 0">
				<tr>
					<td><b>Smooth Shadings</b></td>
					<td><xsl:value-of select="./patterns/@shading"/></td>
				</tr>
			</xsl:if>
			<xsl:if test="./transparency/@objects > 0">
				<tr>
					<td><b>Transparency</b></td>
					<td><xsl:value-of select="./transparency/@objects"/></td>
				</tr>
			</xsl:if>
			<xsl:if test="./text/@hidden-text='true'">
				<tr>
					<td><b>Hidden Text</b></td>
					<td><xsl:value-of select="'true'"/></td>
				</tr>
			</xsl:if>
			<xsl:if test="count(./opi) > 0">
				<tr>
					<td><b>OPI</b></td>
					<td><xsl:value-of select="'true'"/></td>
				</tr>
			</xsl:if>
	</tbody>
	</table>
</xsl:template>

<xsl:template match="boxes">
	<xsl:apply-templates />
</xsl:template>
<xsl:template match="MediaBox | CropBox | BleedBox | TrimBox | ArtBox">
	<tr>
		<xsl:variable name="bw" select="./@width"/>
		<xsl:if test="$bw != 0">
			<td><b><xsl:value-of select="name()"/></b></td>
			<td><xsl:value-of select="./@x"/></td>
			<td><xsl:value-of select="./@y"/></td>
			<td><xsl:value-of select="./@width"/></td>
			<td><xsl:value-of select="./@height"/></td>
		</xsl:if>
	</tr>
</xsl:template>

<xsl:template match="colors">
	<h3>Colors</h3>
	<table cols="3" width="600">
		<tr>
			<td><b>Colorspace</b></td>
			<td><b>Alternate</b></td>
			<td><b>Name</b></td>
		</tr>
		<xsl:apply-templates />
	</table>
</xsl:template>
<xsl:template match="color">
	<tr>
		<td><xsl:value-of select="@base"/></td>
		<td><xsl:value-of select="@alt"/></td>
		<xsl:if test=".!=''">
			<td><xsl:value-of select="."/></td>
		</xsl:if>
		<xsl:apply-templates />
	</tr>
</xsl:template>
<xsl:template match="names/EmbeddedFiles">
	<h3>Embedded Files</h3>
	<table cols="3" width="600">
		<tr>
			<td><b>Name</b></td>
			<td><b>Path</b></td>
			<td><b>Description</b></td>
		</tr>
		<xsl:apply-templates />
	</table>
</xsl:template>
<xsl:template match="file">
	<tr>
		<td><xsl:value-of select="@name"/></td>
		<td><xsl:value-of select="text()"/></td>
		<td><xsl:value-of select="@description"/></td>
	</tr>
</xsl:template>
</xsl:stylesheet>